<template>
  <div>
    <!-- eslint-disable-next-line vue/no-v-html -->
    <div v-html="content"></div>
  </div>
</template>

<script>
import { mapGetters, mapActions } from 'vuex'

export default {
  /* eslint-disable */
  computed: {
    ...mapGetters(['modules/pages/Page']),
    page() {
      return this['modules/pages/Page'][0]
    },
    title() {
      return this.page.title.rendered
    },
    content() {
      return this.page.content.rendered.replace(/\[.*?\]/g, '')
    }
  },
  async fetch({ store }) {
    await store.dispatch('modules/pages/getPage', 'home') ;
  },
  async mounted () {
    require('owl.carousel')
    let $owl = $('.owl-carousel');
    $owl.owlCarousel({
      items: 1,
      margin: 0,
      loop: true,
      autoplay: false,
      nav: false,
      dots: true,
      animateOut: 'slideOutLeft',
      navText: [
        '<i class="fa fa-chevron-left"></i>',
        '<i class="fa fa-chevron-right"></i>'
      ]
    }) ;
    $owl.trigger('refresh.owl.carousel') ;
        
    function callbackOnChanged(event) {
        var idx = event.page.index;
        if (idx === -1 || idx === 0) {
            $('.nav').addClass('dd-slider-light');
            $('.dd-owl-dots-container').removeClass('dd-slider-light');
        } else {
            $('.nav').removeClass('dd-slider-light');
            $('.dd-owl-dots-container').addClass('dd-slider-light');
        }
    }

    var $owl_dots = $('.dd-slider .owl-dots');

    $owl_dots.wrap('<div class=\"dd-owl-dots-container\"></div>') ;
    $owl_dots.before('<a onclick=\"prevSlide();return false;\"><i class=\"fa fa-chevron-left dd-handle-left\"></i></a>');
    $owl_dots.after('<a onclick=\"nextSlide();return false;\"><i class=\"fa fa-chevron-right dd-handle-right\"></i></a>');
    $('.owl-carousel').attr("width", "100%");

    function prevSlide() {
      $owl.trigger('prev.owl.carousel');
    }

    function nextSlide() {
      $owl.trigger('next.owl.carousel');
    }
  },
  methods: {
    ...mapActions({
      getPage: 'modules/pages/getPage'
    })
  }
}
</script>

<style></style>
